#include "UMStr.h"

// int MStr::operator<(const MStr &str) const
// {
// 	if (*this < str) return 1;
// 	return 0;
// }

MStr MStr::LowerCase()
{
  MStr result;
  for(string::iterator i=begin();i!=end();i++)
  {
    if(*i > 'Z')
      result += *i;
    else
      result += *i + 'a' - 'A';
  }
  return result;
}

const char *itostr(int i)
{
  static char q[11];
  sprintf(q,"%d",i);
  return (const char *)q;
}

